Package org.pushingpixels.substance.api.colorscheme

# Class BaseLightColorScheme

java.lang.Object
org.pushingpixels.substance.api.colorscheme.BaseColorScheme
org.pushingpixels.substance.api.colorscheme.BaseLightColorScheme

All Implemented Interfaces:
  `SchemeBaseColors`, `SchemeDerivedColors`, `SubstanceColorScheme`, `SubstanceTrait`

Direct Known Subclasses:
  `AquaColorScheme`, `BarbyPinkColorScheme`, `BottleGreenColorScheme`, `BrownColorScheme`, `CremeColorScheme`, `DesertSandColorScheme`, `LightAquaColorScheme`, `LightGrayColorScheme`, `LimeGreenColorScheme`, `MetallicColorScheme`, `OliveColorScheme`, `OrangeColorScheme`, `PurpleColorScheme`, `RaspberryColorScheme`, `SepiaColorScheme`, `SteelBlueColorScheme`, `SunfireRedColorScheme`, `SunGlareColorScheme`, `SunsetColorScheme`, `TerracottaColorScheme`

public abstract class BaseLightColorScheme extends BaseColorScheme
Base class for light color schemes.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`derivedColorsResolver, displayName, isDark`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseLightColorScheme(String displayName)`
Creates a new light color scheme.

## Method Summary

### Methods inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`getBackgroundFillColor, getDisplayName, getFocusRingColor, getLineColor, getResolver, getSelectionBackgroundColor, getSelectionForegroundColor, getTextBackgroundFillColor, getWatermarkDarkColor, getWatermarkLightColor, getWatermarkStampColor, hueShift, invert, isDark, named, negate, saturate, shade, shift, shiftBackground, tint, tone, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.pushingpixels.substance.api.SchemeBaseColors

`getDarkColor, getExtraLightColor, getForegroundColor, getLightColor, getMidColor, getUltraDarkColor, getUltraLightColor`

## Constructor Details

### BaseLightColorScheme

protected BaseLightColorScheme(String displayName)
Creates a new light color scheme.

Parameters:
  `displayName` - Display name for the color scheme.